package com.aucma.base.service;

import java.util.List;
import com.aucma.base.domain.OrderBomInfo;

/**
 * 订单BOMService接口
 * 
 * @author Yinq
 * @date 2023-09-28
 */
public interface IOrderBomInfoService 
{
    /**
     * 查询订单BOM
     * 
     * @param objId 订单BOM主键
     * @return 订单BOM
     */
    public OrderBomInfo selectOrderBomInfoByObjId(Long objId);

    /**
     * 查询订单BOM列表
     * 
     * @param orderBomInfo 订单BOM
     * @return 订单BOM集合
     */
    public List<OrderBomInfo> selectOrderBomInfoList(OrderBomInfo orderBomInfo);

    /**
     * 新增订单BOM
     * 
     * @param orderBomInfo 订单BOM
     * @return 结果
     */
    public int insertOrderBomInfo(OrderBomInfo orderBomInfo);

    /**
     * 修改订单BOM
     * 
     * @param orderBomInfo 订单BOM
     * @return 结果
     */
    public int updateOrderBomInfo(OrderBomInfo orderBomInfo);

    /**
     * 批量删除订单BOM
     * 
     * @param objIds 需要删除的订单BOM主键集合
     * @return 结果
     */
    public int deleteOrderBomInfoByObjIds(Long[] objIds);

    /**
     * 删除订单BOM信息
     * 
     * @param objId 订单BOM主键
     * @return 结果
     */
    public int deleteOrderBomInfoByObjId(Long objId);
}
